# DataExchange
TKSTEP
StepAP214

# StepAP214_ExternallyDefinedClass Class Reference

Representation of STEP entity ExternallyDefinedClass
.

`#include <StepAP214_ExternallyDefinedClass.hxx>`

Inheritance diagram for StepAP214_ExternallyDefinedClass:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_ExternallyDefinedClass ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGroup_Name, const Standard_Boolean hasGroup_Description, const Handle(TCollection_HAsciiString)&aGroup_Description, const StepBasic_SourceItem &aExternallyDefinedItem_ItemId, const Handle(StepBasic_ExternalSource)&aExternallyDefinedItem_Source)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_ExternallyDefinedItem | ExternallyDefinedItem () const
| Returns data for supertype ExternallyDefinedItem .
Standard_EXPORT void | SetExternallyDefinedItem (const Handle(StepBasic_ExternallyDefinedItem)&ExternallyDefinedItem)
| Set data for supertype ExternallyDefinedItem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_ExternallyDefinedItem | theExternallyDefinedItem

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_ExternallyDefinedClass::StepAP214_ExternallyDefinedClass | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ExternallyDefinedItem StepAP214_ExternallyDefinedClass::ExternallyDefinedItem | ( |  | ) | const

Standard_EXPORT const StepAP214_ExternallyDefinedClass::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepAP214_Class.

Standard_EXPORT void StepAP214_ExternallyDefinedClass::Init | ( | const Handle(TCollection_HAsciiString)& | aGroup_Name,
|  | const Standard_Boolean | hasGroup_Description,
|  | const Handle(TCollection_HAsciiString)& | aGroup_Description,
|  | const StepBasic_SourceItem & | aExternallyDefinedItem_ItemId,
|  | const Handle(StepBasic_ExternalSource)& | aExternallyDefinedItem_Source
| ) |

Standard_EXPORT void StepAP214_ExternallyDefinedClass::SetExternallyDefinedItem | ( | const Handle(StepBasic_ExternallyDefinedItem)& | ExternallyDefinedItem | ) |

## Field Documentation

Handle_StepBasic_ExternallyDefinedItem StepAP214_ExternallyDefinedClass::theExternallyDefinedItem `[private]`

The documentation for this class was generated from the following file:

- StepAP214_ExternallyDefinedClass.hxx